Digital Modulation
Communications Module

## Classes

class | itpp::Modulator< T >
| General modulator for 1D or 2D signal constellations. More...
class | itpp::QAM
| M-ary QAM modulator with square lattice. More...
class | itpp::PSK
| M-ary PSK modulator. More...
class | itpp::QPSK
| QPSK modulator. More...
class | itpp::BPSK_c
| BPSK modulator with complex symbols. More...
class | itpp::BPSK
| BPSK modulator with real symbols. More...
class | itpp::PAM_c
| M-ary PAM modulator with complex symbols. More...
class | itpp::PAM
| M-ary PAM modulator with real symbols. More...
class | itpp::Modulator_ND
| Base class for an N-dimensional (ND) vector (MIMO) modulator. More...
class | itpp::Modulator_NRD
| Base class for N-dimensional vector (MIMO) channel modulators/demodulators with real-valued components. More...
class | itpp::Modulator_NCD
| Base class for vector (MIMO) channel modulator/demodulators with complex valued components. More...
class | itpp::ND_UPAM
| Real-valued MIMO channel with uniform PAM along each dimension. More...
class | itpp::ND_UQAM
| Complex MIMO channel with uniform QAM per dimension. More...
class | itpp::ND_UPSK
class | itpp::OFDM
| Class for modulating and demodulation of OFDM signals using the FFT. More...
class | itpp::Spread_1d
| Spreading of float symbols to float output. More...
class | itpp::Spread_2d
| Spreading of complex symbols to complex output. More...
class | itpp::Multicode_Spread_1d
| Multicode spreading of float symbols. More...
class | itpp::Multicode_Spread_2d
| Multicode spreading of complex symbols to complex output. More...

## Enumerations

enum | itpp::Soft_Method { itpp::LOGMAP, itpp::APPROX }
| Soft demodulation methods. More...
enum | itpp::Modulator_ND::Soft_Demod_Method { itpp::Modulator_ND::FULL_ENUM_LOGMAP, itpp::Modulator_ND::FULL_ENUM_MAXLOG, itpp::Modulator_ND::ZF_LOGMAP }
| Soft demodulation method. More...

## Detailed Description

## Enumeration Type Documentation

enum itpp::Soft_Method

Soft demodulation methods.

Enumerator
LOGMAP | Log-MAP full calculation.
APPROX | Approximate faster method.

Definition at line 47 of file modulator.h.

enum itpp::Modulator_ND::Soft_Demod_Method

Soft demodulation method.

Enumerator
FULL_ENUM_LOGMAP | Log-MAP demodulation by "brute-force" enumeration of all points.
FULL_ENUM_MAXLOG | Max-Log demodulation by "brute-force" enumeration of all points.
ZF_LOGMAP | Zero-Forcing Log-MAP approximated demodulation.

Definition at line 67 of file modulator_nd.h.

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1